TAAS - Feature #299

Group Sale
02/05/2024 08:53 PM - Junaid M

Status: New Changes Coding Done Start date: 02/05/2024
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Group Sale

Description
Coding Group Sale

History

#1 - 03/07/2024 04:13 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 03/19/2024 11:53 AM - unnikannan S

Ul CHANGES

1.STATUS-MULTY SELECT (ISSUED,CANCEL,Cancel GUI (VOID),Default Select all
2.Add Filters In Ul (Service/Status)

3.Group by (Group Sale and Incomplete Tab) NO GROUPING as Default
4.Group by option in Group Sale and Incomplete Tab are same.

5.Edit pen (Group Sale and Incomplete Tab) Redirection to issue module.
6.Replace Reset as Save and add Reset below Search

7.Save Status Tab- Redirection to invoice.

8.Add Reload Button In All Grids

9.Save Status

--Grid Columns-> #, Invoice No, Invoice Date, Ticket/Voucher, Message

--Group by Invoice No

10. Add "Failed Status"

--Grid Columns-> #, Ticket/Voucher, Message

--Apply Grouping Like Document#1, Document#2,

11.Add Blue star and title on 1st Grouping Label. "Data is Grouped By Customer".
12. To Sale - Like not reported sale data pushing

#3 - 07/31/2024 03:56 PM - Anil KV
- Status changed from Open to Ready for Coding
- Assignee changed from travvise Admin to Aparna Mathew

- % Done changed from 10 to 20

#4 - 08/02/2024 05:02 PM - Aparna Mathew
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 09/11/2024 09:24 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 09/12/2024 05:49 PM - unnikannan S
- Status changed from Coding Done to Testing Started
#7 - 09/12/2024 06:50 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Error On Save

2.Clear The Extra Columns From List

3.Freeze The Counter Staff Code Field After Search

4.Not Working Airline,Booking Staff,Service Type Filter Wise Searching

#8 - 09/20/2024 12:03 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 10/02/2024 10:20 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Data In Search
2.Show Service Multy Selection Group Wise

#10 - 10/07/2024 10:17 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 11/06/2024 06:17 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#12 - 11/06/2024 06:27 PM - Theja Ponon
- File clipboard-202411061827-brfcx.png added

ISSUE FOUND

1.data from group sale is not load in sale module

2.successful sale is shows in failed status

3.on pressing the save button the entry fields are expanding

4.party name is not updating if the sold ticket is loaded in query module and sale invoice loaded in sale module
5.different invoices are generating in case customers are same in tickets

6.correct the visibility of the dropdown before and after loading the data
Group Sale

ssue Date® | 05/77/2024 06/11/2024 Branch*
wuw

Group Sale  Incomplete Data = Save Status  Failed Status

BROD1: Main v | o Set Grouping | Mo Grouping Mo Grouping

Type Ticket/Voucher Issue Date LPO No Service Provider Currency

TICKET TKTG2 06/11/2024 51905z 40 Mile Air QAR

#13 - 11/09/2024 09:17 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#14 - 11/09/2024 05:18 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)IF CUSTOMERS ARE SAME IN TICKETS CANT ADD INTO THE SAME INVOICE
STEPS

1.LOAD TWO TICKETS IN GROUP SALE TAB WITH SAME CUSTOMER
2.SELECT ONE TICKET AND SAVE

3.SELECT ANOTHER TICKET AND SAVE

2)INVOICE DATE IS NOT SHOWN IN THE SAVE STATUS

#15 - 11/11/2024 11:32 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#16 - 11/12/2024 01:25 PM - Theja Ponon
- File clipboard-202411121309-xiy7p.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

& Reset

T a @B s @

MNo Grouping v

Q

Fare Tax | FOP Price

200000 ooo 2000.00

1)DATE DIFFERENCE CONTROL ACCOUNT IS ASKING IN CASE WHEN TICKET DATE AND INVOICE DATE ARE SAME
Travvise Group Sale
TRAVEL SOLUTION PVT LTD
e DATE DIFFERENCE CONTROL Account not set, Please set the account via Set Mapping Account GUI.
lssue Date™ 08/10/2024 11/2024 Branch® zin - Department
Customer Service - File No
Type
Supplier LPO No
Counter
Airline Staff PNR No
_ Office ID v
Jervice hd
3 Status | jssued Cance v
A AR
Group Sale  Incomplete Data  Save Status  Failed Status
Ir
Invoice
Date® 09/11/2024 Q o] Grouping Mg Group ™ No Group ™ No Group ™
¢ u| Type Issue Date  Ticket/Voucher Service Provider Price
~|  TICKET 09/11/2024  TKO1 519Q3: 40 Mile Air 1000.00
TICKET 09/11/2024  TK02#2 6987L:: AB Airlines 0.00

X
A N & Reset
X o T Q
Sale
Cost Profit Shared
1000.00 0.00 0.00
0.00 0.00 0.00

NTaS

2)IF NO ITEM IS SELECTED FOR SALE AND PRESS SAVE NOT SHOWING WARNING MESSAGE

3)ON PRESSING THE SAVE BUTTON THE SEARCH FIELDS ARE EXPANDING
4)IN STATUS TAB INVOICE DATE FORMAT IS MONTH/DATE/YEAR

#17 - 11/12/2024 11:00 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#18 - 11/13/2024 11:58 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)IN STATUS TAB INVOICE DATE FORMAT IS MONTH/DATE/YEAR------ >CHANGE IT TO DAY/MONTH/YEAR

#19 - 11/13/2024 12:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 11/13/2024 04:46 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#21 - 11/14/2024 10:53 AM - Theja Ponon
- File clipboard-202411141051-yuidc.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)THIS ISSUE COMES ON SALE OF XO TICKETS

2) ADD FIELD FOR SET BOOKING CLASS DETAILS
Group Sale

|
lapse BASE1(QAR) Currency Dehit and Credit are not tally{1000). ) m
- lssue Date™ | 14/11/2024 411172024 Branch* Department 2 Reset m
ont www

r Group Sale | Incomplete Data Save Status  Failed Status
c

ort \mvoice Datet | 17117202 S P — gl
e nvalce Datet | 14/11/2024 (<] Grouping | No Grouping v Mo Grouping v No Grouping szl o T @ = O
i/ inf

& d Type Issue Date Ticket/Voucher Service Provider Price Cost Profit Shared

=
p Do | TICKET 14/11/2024 o 60871 AB Airlines. 1000.00 1000.00 0.00 000
fster
Jore
board)

#22 - 11/19/2024 10:08 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 11/20/2024 07:28 PM - Arathy PS

- Assignee changed from Aparna Mathew to Baseem Shan

#24 - 11/21/2024 09:54 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

DONE - 1. A pop up same as sale to edit the ticket/voucher.

#25 - 01/01/2025 10:31 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#26 - 01/08/2025 11:26 AM - Theja Ponon

- File clipboard-202501081035-i1j8b.png added

- File clipboard-202501081035-9juzt.png added

- File clipboard-202501081059-akdzg.png added

- File clipboard-202501081124-1cwf0.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1)Airline is loading in Airline field
FIXED - 2)branch comes in department dropdown
clipboard-202501081035-i1j8b.png
FIXED - 3)Issue in Branch dropdown
FIXED - 4)Failed reason is not given
Group Sale

Group Sale save Succeeded: O Group Sale save Failed: 1. Please refer “Save Status’ tab and Failed Status’ tab for more details. 4

lssue Date™ | (02/01/2024 08/01/2027 Branch® | BROOD1: Main ~ Department® | DPQQ2: Department 7 = Reset
wu¥
Group Sale | Incomplete Data Save Status  Failed Status
Imvoice Date* | da/MM/yyyy [3 | Grewping | No Grouping ¥ | Mo Grouping ¥ || Mo Grouping v Xorozae s T a = @
v | Type Issue Date Ticket/Voucher PNR No Pax Service Provider Price Cost Profit  LPONo

=  Customer: CUSO01:= Customer

v| | OTHER 09/01/2025 a2 Pax 4000.00 4000.00 0.00 ra

NOT A BUG - 5)After setting different customer for vouchers redirecting to sale(To sale ) after selecting all vouchers, only single sale load for a single
customer with that customer vouchers -> [Can't Reproduce. Assumes the problem is due to 'Add Blocker' of the Browser].

FIXED - 6)Invoicedate field is setted bt not taking it as invoice date

NOT A BUG - 7)On failing of sale data is not clearing from group sale tab

Group Sale save Succeeded: 0, Group Sale save Failed: 2. Please refer “Save Status’ tab and ‘Failed Status’ tab for more details. x
ssue Date® | 0%/01/2025 14/01,/2025 Branch® | BROD1: Main ~ Department™ | DPJQ1: Account a i Reset
www
Group Sale  Incomplete Data  Save Status  Failed Status
Imvoice Date* | 4q y ) Grouping | Mg Grouping ¥ Mo Grouping Mo Grouping ¥ X osae s Y Q = 0O
v| | Type Issue Date | Ticket/Voucher PNR No Pax Service Provider Price Cost Profit | LPO No

= Customer: CUS002: Customer 2

Pax 1000.00 1000.00 Qoo "

Pax 1000.00 1000.00 000 V4

NOT A BUG - 8)Sale fialed when issue date of tickets are different(Date difference control account is set)

#27 - 01/21/2025 06:31 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 01/22/2025 01:42 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)PAID CHEQUE LOAD IN CUSTOMER FIELD
FIXED - 2)INVOICE DATE gIVEN ATE THE FIELD IS NOT CONSIDERING

New Change

FIXED - 1)Add new Pop up in case of selecting Fop in customer field

#29 - 01/23/2025 10:36 AM - Theja Ponon

- Status changed from Reopen Bugs to New Changes

#30 - 02/03/2025 09:43 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#31 - 02/05/2025 12:37 PM - Theja Ponon

- File clipboard-202502051030-uz5eb.png added
- File clipboard-202502051126-9hdpx.png added
- File clipboard-202502051148-xxzic.png added
- File clipboard-202502051149-y1k52.png added

- File clipboard-202502051210-mcjjz.png added

- File clipboard-202502051210-0z2yc.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1)On saving (giving received cheque as fop)

Travvise Group Sale

Unexpected character encountered while parsing value: O Path *, line 0, pasition 0.

Issue Date" Branch™  BROO1:: Main

¥y

Group sale  Incomplete Data  Save Status  Failed Status

Invoice Date® |

v Type Issue Date Ticket/Voucher PNR No Pax Service Provider
~  FOP: RCD: RCD ( Cheque No: 1, Cheque Date: 06/02/2025, Issued Bank: BKA0O1: Banks (All Banks))

v TICKET 05/02/2025 KO3 12 adw 6987L:: AB Airlines
~  FOP: RCD: RCD ( Cheque No: 2, Cheque Date: 06/02/2025, Issued Bank: BKA0O1: Banks (All Banks))

v HOTEL 05/02/2025 PNRE2 PNR d QUO: 121 Paris Hotel

O | Grovping No Grouping ¥ || No Grouping

Department™ | DPOO1: Account =  Reset
No Grouping ¥ & Y @ B2
Price Cost Profit | LPO No
11000 11000 000 1 v
100.00 100.00 0.00 v

NOT A BUG - 2)pos/pg charge is not showing (NOT NEEDED - Because pos/pg charge is applied from Sale Master on the sum cost of the items to

Sale and actively, there is no Sale master in Group Sale.)

roup Sale  Incomplete Data = Save Status  Failed Status

FOP - CRCO01 Credit & Debit Card & Set Grouping  No Grouping ¥ | NoGrouping ¥ | No Grouping ¥ | £% T €

= Type Issue Date | Ticket/Voucher PNR No LPO No Currency Fare Tax

v  Customer:

TICKET 06/02/2025  TKOB1#1 R 100.00 0.00
v TICKET 06/02/2025  TKOT
TICKET 06/02/2025  TKO8 POSID"  AS: POS/PG v Card Number® ‘ 1
~  Customer: CUS001:: Customer Authorised Code Expiry Date | 4
HOTEL 05/02/2025 | PNR#2 Service Charge 00 %| 000

FIXED - 3)voucher with different customer/fop save on a single invoice

Group fale  Incomplete Data ~ Save Status  Failed Status

Invoice Date™ | da/MM/yyyy (3 | Growing No Grouping ¥ || No Grouping ¥
Type Issue Date Ticket/Voucher PNR No Pax Service Provider
~  FOP: CUS001:: CUS001
TICKET 06/02/2025 T2 wdswef 51905: 40 Mile Air
~  FOP: CUS002: CUS002
TICKET 06/02/2025 T3 asa 519Q5: 40 Mile Air
Invoice Date Ticket/Voucher Message
- Invoice No: INV/008
08/02/2025 T2 GROUP SALE has been Saved.
08/02/2025 LE] GROUP SALE has been Saved.

FIXED - 4)On single save click single invoice is saving
Group Sale  Incomplete Data  Save Status  Failed Status

Invoice Date® | g

v Type Issue Date Ticket/Voucher PNR No Pax Service Provider
~  FOP: CRC001:: CRCO01 ( POS ID: AS=: POS/PG, Card No.: 234)

v TICKET 06/02/2025 L] a3 519Q5% 40 Mile Air
~  FOP: CRC001:: CRCO01 ( POS ID: AS=: POS/PG, Card No.: 432)

TICKET 06/02/2025 o asa 519Q5: 40 Mile Air

05/04/2025

(3 Growing No Grouping ¥ | No Grouping v

G
G
| lssued Bank .
Me
[ Close + Set
NoGrouping v | £ Y a B I
Price Cost Profit | LPO No
10000 10000 000 V4
100.00 10000 000 ra
T a 8
No Grouping ¥ | &F T Q@ 2
Price Cost profit LPO No
100,00 100.00 000 ra
100.00 100.00 000 Vi
Group Sale 22| =) veu - [ ) 5 /- ©

Group Sale save Succeeded: 1, Group Sale save Failed: 0, Please refer ‘Save Status' tab and Failed Status' tab for more details. X
Issue Date™  03/02/2025 07/02/2025 Branch™ | BROO1: Main = Department” ' DPQQ1: Account N 2 Reset
Group Sale | Incomplete Data  Save Status  Failed Status
Invoice Date™ | 4oi/MM/yyyy (3 Grouping No Grouping ¥ | NoGrouping ¥  NoGrouping ¥ = ¥ T @ &2
v Type Issue Date  Ticket/Voucher  PNR No Pax Service Provider Price Cost profit  LPO No
~  FOP: CRC001= CRC001 ( POS ID: AS= POS/PG, Card No.: 432)
v| TICKET 06/02/2025  T10 asa 519Q5r 40 Mile Air 100,00 10000 000 ra 2 ToSale

FIXED - 5)On giving fop as corporate card and redirecting to sale card number is not loading

#32 - 02/06/2025 04:41 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 03/10/2025 02:51 PM - Arathy PS

- File clipboard-202503101235-hs9sl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

lssue Date” | 10/03/2025 0/03/2025 Branch™ | BROO1: Main i Department” | DPOO1: Account h < Reset

vy

Group Sale  Incomplete Data ~ Save Status | Failed Status

Invoice Date Ticket/Voucher Message
Invoice No: INV/008
10/03/2025 1400 GROUP SALE has been Saved.

10/03/2025 1500 GROUP SALE has been Saved.

#34 - 03/11/2025 08:41 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 03/12/2025 12:24 PM - Arathy PS
- File clipboard-202503121041-mwl1a.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1. When a package issue is selected for group sale and we click to sale button then the batch no: field is missing and the batch no: we
entered is showing in file no: field.
Master

ARSharing  ALPO

Invoice No
Against Doc
Customer/FOP*
Sub Customer ~
Reference

Narration

Document Status™
Posting Status™

Created By:
Modified By:

Ticket/Voucher | Party

#

1

v/ Type

| Package

Ccusoot

Active

Active

Issue Date

12/03/2025

o Date” | 12/03/2025

<]

& 0.00 0AR

ASLAM ABDUL KHAN

[+] A Ticket B Hotel B Other

Ticket/Voucher Service Provider

PG/001

Branch®

Department”

BROO1:: Main

DP001:: Account

File No™ =

BT001

Enquiry No™ ~

Drscount ~

000

Total Sale 0.00

Shared 0.00

Balance 0.00

1~ Visa s Package v SetAl

Price Cost

1100.00 1000.00

NOT A BUG - 2. Service type for fixed package is missing in the filter section.-NOT NEEDED
FIXED - 3. File no: entry field should always be in upper case.

Total Profit

Outstanding

Profit

100.00

0.00

0.00

Y Q 2
Shared

w B &

* Ticket

=]

& Transfer

I
o]

M Package

(]

ADDED - New Change -> 4. Only showing booking staff data in counter staff field. ( add a drop down category for booking staff and issuing staff in
place of counter staff)

#36 - 03/13/2025 09:40 AM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#37 - 03/13/2025 03:42 PM - Baseem Shan

- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
